// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: rmfgen_mod
// Author: Hassan Siddiqui
//
// Description: RMF generation task for the XMM Science Analysis System
// 
// Comments: 
//  This prototype is restricted the central CCD of the MOS1 detector.
//  
// Modifications: See ChangeLog
// 
// $Id: rmfgen.cc,v 1.17 2007/06/06 12:42:14 eojero Exp $


// General classes
#include <iostream>

// SAS-specific classes
#include "errstr.h"
#include "Tracer.h"

// Local classes
#include "rmfgen.h"
#include "Rmfgen.h"
#include "ArfDataServer.h"
#include "ConcreteArfDataServer.h"

// ---------------------------------------------------

// Main function

// ---------------------------------------------------

void rmfgen()
{
  
  PROC;

  /* Need to ensure that the psfmodel parameter is set to default */
  setParameter("psfmodel", "notSpecified");

  cout<<"Set to: " <<stringParameter("psfmodel")<<endl;

  /* Assign concrete object to arfDataServer handle. The symbol is defined
     in ArfDataServer.h */
  arfDataServer = new ConcreteArfDataServer();
                                                                                
  Rmfgen rmfgn;
  rmfgn.exec();

  delete arfDataServer; arfDataServer=0;

  errstr << " rmfgen complete. "
	 << Sas::message(Msg::App, Msg::Verbose);
  ENDPROC;

} 
